#include "Vehicule.h"

int Vehicule::cpt = 0;

Vehicule::Vehicule (void) : kilometrage(0), prix(0), id(cpt) { ++cpt; }

Vehicule::Vehicule (int km, double p) : kilometrage(km), prix(p), id(cpt) { ++cpt; }

Vehicule::~Vehicule(void) {}

void Vehicule::afficher () const {
	std::cout << "Kilometrage : " << getKilometrage() << "km." << std::endl;
	std::cout << "Prix : " << getPrix() << " euros." << std::endl;
}

void Vehicule::setKilometrage (int km) {
	if (km>=0) kilometrage=km;
}

void Vehicule::setPrix (double p) {
	if (p>=0) prix=p;
}

int Vehicule::getKilometrage (void) const {
	return kilometrage;
}

double Vehicule::getPrix (void) const {
	return prix;
}

int Vehicule::getId (void) const {
	return id;
}
